#   ------------------------------------------------------------------------------------------------
#
#   File: vdb-color-prompt.spec
#
#   Copyright 🄯 2013, 2025 Van de Bugger.
#
#   Copying and distribution of this file, with or without modification, are permitted in any
#   medium without royalty provided the copyright notice and this notice are preserved. This file
#   is offered as-is, without any warranty.
#
#   SPDX-License-Identifier: FSFAP
#
#   ------------------------------------------------------------------------------------------------

Source1000:     vdb.lua
%include        %{S:1000}

Name:           vdb-color-prompt
Version:        0.3.0
Release:        0.vdb.1%{?dist}
Summary:        Bash multiline color prompt
Group:          System Environment/Base
License:        GPL-3.0-or-later
# URL:

Source0:        %{name}.sh

BuildArch:      noarch

Conflicts:      bash-color-prompt

# BuildRequires:
Requires:      bash

%description
%{text -- \
    Sets up a nice multiline color prompt for Bash. Prompt includes user name, host name, and
    working directory in format "user@host:dir". Colors depend on user and host. Non-root user name
    is shown in cyan, but root user name is in red. Host name is blue in case of local session, but
    in case of remote (via ssh) session host name will be in magenta color. Current working
    directory is always green. Colors look better on black background.
}

%prep

%build

%install
%{_install_D} -m u=rw,go=r -t "%{buildroot}%{_sysconfdir}/profile.d/" %{S:0}

%files
%{_sysconfdir}/profile.d/%{name}.sh

%changelog

* Sat Mar 01 2025 Van de Bugger - 0.3.0-0.vdb.1
- User color inverted if current user id is not login user id.

* Sat Mar 01 2025 Van de Bugger - 0.2.0-0.vdb.1
- Renamed to vdb-color-prompt bacause bash-color-prompt appeared in Fedora.
- Root color changed to reversed (red background, not red foreground).
- Host color changed to magenta since dark blue is hardly visible on black background.
- Remote host name is printed reversed (magenta background, not foreground).

* Sat Oct 26 2013 Van de Bugger - 0.1-1
- Initial release.

# end of file #
